MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

The sc-config program is used to obtain information about MPQC's compile time environment.

# Description

The sc-config program is used to obtain information about MPQC's compile time environment. It can be used to initialize variables in a makefile that will be used to compile programs that depend on MPQC. For example, the following makefile could be used to compile a program `myprog`, which depends on the MPQC libraries.

    SCCONFIG = /usr/local/mpqc/current/bin/sc-config
    CXX := $(shell $(SCCONFIG) --cxx)
    CXXFLAGS := $(shell $(SCCONFIG) --cxxflags)
    CPPFLAGS := $(shell $(SCCONFIG) --cppflags)
    LIBS := $(shell $(SCCONFIG) --libs)

    myprog: myprog.o
    	$(CXX) $(CXXFLAGS) -o $@ $^ $(LIBS)

# Running sc-config

sc-config takes the following command line options:

`--prefix`
  Print the installation prefix.
`--exec-prefix`
  Print the executable installation prefix.
`--version`
  Print the version number.
`--so-version`
  Print the shared object version.
`--scdatadir`
  Print the data installation directory.
`--buildid`
  Print the build identifier.
`--cppflags`
  Print the C preprocessor flags.
`--cflags`
  Print the C flags.
`--cxxflags`
  Print the C++ flags.
`--cc`
  Print the C flags.
`--f77flags`
  Print the FORTRAN 77 flags.
`--f77`
  Print the FORTRAN 77 compiler.
`--cxx`
  Print the C++ compiler.
`--libdir`
  Print the library directories.
`--libs`
  Print the libraries.
`--libtool`
  Print the libtool executable.
`--ltlink`
  Print the libtool link command.
`--ltlinklibopts`
  Print the libtool library link options.
`--ltlinkbinopts`
  Print the libtool binary link options.
`--ltcomp`
  Print the libtool compile command.
`--ltinst`
  Print the libtool install command.

# License

sc-config is open-source software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

# Warranty

sc-config is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.